'use server'

import { getPayload } from 'payload'
import config from '@/payload.config'
import { HoldRequest } from '@/payload-types'

type Props = {
  holdRequestId: number,
  copyId: number,
  untilDate: string,
}
export const approveHoldRequest = async (props: Props): Promise<HoldRequest | null> => {
  const { holdRequestId, copyId, untilDate } = props

  const payloadConfig = await config
  const payload = await getPayload({ config: payloadConfig })

  try {
    const updatedHold = await payload.update({
      collection: 'holdRequests',
      id: holdRequestId,
      data: {
        copy: copyId,
        holdingUntilDate: untilDate,
        isHolding: true,
      }
    })
    return updatedHold
  } catch (_) {
    return null
  }
}

export default approveHoldRequest
