'use server'

import { getPayload } from 'payload'
import config from '@/payload.config'

type Props = {
  email: string,
}
export const forgotPassword = async (props: Props): Promise<boolean> => {
  const { email } = props

  const payloadConfig = await config
  const payload = await getPayload({ config: payloadConfig })

  try {
    await payload.forgotPassword({
      collection: 'users',
      data: {
        email
      }
    })
    return true
  } catch (_) {
    return false
  }
}

export default forgotPassword
