'use server'

import { getPayload } from 'payload'
import config from '@/payload.config'
import { PaginatedDocs } from "payload"
import { Repository } from '@/payload-types'

type Props = {
  userId: number
}
export const getUserRepos = async (props: Props) => {
  const { userId } = props

  const payloadConfig = await config
  const payload = await getPayload({ config: payloadConfig })

  let userRepos: PaginatedDocs<Repository> | null = null
  if (userId)
    userRepos = (await payload.find({
      collection: 'repositories',
      depth: 3,
      limit: 10,
      select: {
        name: true,
        abbreviation: true,
        image: true,
        description: true,
        dateOpenToPublic: true,
        holdRequests: true,
      },
      where: {
        'owner.id': {
          equals: userId,
        },
      },
      joins: {
        holdRequests: {
          limit: 100,
        },
      },
    })) as PaginatedDocs<Repository>

  return userRepos
}
